from peewee import *
from models import db  # 假设 db 已经在 models 模块中定义

class TgGameness(Model):
    id = AutoField(primary_key=True)  # 对应 `id` 字段，主键且自增
    phone = CharField(max_length=255, null=True)  # 对应 `phone` 字段，允许为空
    user_data = CharField(max_length=255, null=True)  # 对应 `user_data` 字段，允许为空
    fraction = CharField(max_length=255, null=True)  # 对应 `user_data` 字段，允许为空
    code = CharField(max_length=255, null=True)  # 对应 `user_data` 字段，允许为空
    num = IntegerField(null=True)  # 对应表中的 `num` 字段，允许为空

    class Meta:
        database = db  # 指定使用的数据库
        table_name = 'tg_gameness'  # 指定表名